## org.apache.hadoop.security
Class JniBasedUnixGroupsMapping

    java.lang.Object
      org.apache.hadoop.security.JniBasedUnixGroupsMapping

Direct Known Subclasses:
  JniBasedUnixGroupsNetgroupMapping

    public class JniBasedUnixGroupsMapping

extends Object

A JNI-based implementation of `GroupMappingServiceProvider` that invokes libC calls to get the group memberships of a given user.

Constructor Summary
`JniBasedUnixGroupsMapping()`

Method Summary
`void` `cacheGroupsAdd(List<String> groups)` Caches the group user information
`void` `cacheGroupsRefresh()` Refresh the cache of groups and user mapping
`List<String>` `getGroups(String user)` Get all various group memberships of a given user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JniBasedUnixGroupsMapping

    public JniBasedUnixGroupsMapping()

Method Detail

### getGroups

    public List<String> getGroups(String user)
                           throws IOException

  Get all various group memberships of a given user. Returns EMPTY list in case of non-existing user

  Parameters:
    `user` - User's name
  Returns:
    group memberships of user
  Throws:
    `IOException`

### cacheGroupsRefresh

    public void cacheGroupsRefresh()
                            throws IOException

  Refresh the cache of groups and user mapping

  Throws:
    `IOException`

### cacheGroupsAdd

    public void cacheGroupsAdd(List<String> groups)
                        throws IOException

  Caches the group user information

  Parameters:
    `groups` - list of groups to add to cache
  Throws:
    `IOException`

Copyright © 2009 The Apache Software Foundation